<template>
  <div class="d-flex flex-column flex-sm-row pa-6">
    <v-btn
        class="dashboard-control mr-auto mb-6"
        max-width="500"
        color="primary"
        @click="redirectToAboutPage"
    >
      About us
    </v-btn>

    <v-btn
        class="dashboard-control ml-auto mb-6 mr-2"
        max-width="500"
        color="primary"
        @click="openDialogBuyPrints"
    >
      Buy Prints
    </v-btn>
    <v-btn
        class="dashboard-control mr-2 mb-6"
        max-width="500"
        color="primary"
        @click="openDialogBalance"
        :disabled="parseFloat(this.balance).toFixed(2) >= 0"
    >
      Pay For Prints ({{ balance > 0 ? 0 : parseFloat(-balance).toFixed(2) }}$)
    </v-btn>
    <ControlPromoOffer/>
    <ControlLogout/>
  </div>

</template>

<script>
import {mapState} from "vuex";
import ControlPromoOffer from "./ControlPromoOffer";
import ControlLogout from "./ControlLogout";

export default {
  name: "Controls",
  components: {ControlPromoOffer, ControlLogout},
  data: () => ({}),
  computed: {
    ...mapState(['balance'])
  },
  methods: {
    redirectToAboutPage() {
      this.$router.push({name: 'about'})
    },
    openDialogBalance() {
      this.$emit('openDialogBalance')
    },
    openDialogBuyPrints() {
      this.$emit('openDialogBuyPrints')
    },
  }
}
</script>

<style scoped>

</style>
